//Adrián Torres
//Fab Academy 2020
//Fab Lab León


PImage foto;
import processing.serial.*;
float val;     
Serial myPort;
float giro;
float velocidad;

 
void setup() {
  size(500, 500); //tamaño de cuadro
  foto = loadImage("LOGO fablab simple_transparente_2.png"); //imagen
  println(Serial.list()); //listamos los puertos
  myPort = new Serial(this, "COM7", 115200); //puerto serial
  myPort.bufferUntil('\n');
  //background(255); //color de fondo
  frameRate(10); //velocidad de captura de datos 10 frame por segundo
}

void draw() { 
  background(255); //color de fondo
  imageMode(CENTER);
  velocidad = map(val, 0, 1024, 0, 200);
  println(velocidad); // vemos por serial los valores
  
  noStroke();
  pushMatrix();
    translate(width/2, height/2); //trasladar el eje de coordenadas
    rotate(giro); 
    image(foto, 0,0, foto.width/8, foto.height/8); //la foto esta en el 0,0 y a 1/8 de tamaño
  giro = giro + velocidad;
  popMatrix();
}

void serialEvent(Serial myPort) {
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    inString = trim(inString);
    float[] values = float(split(inString, ","));
    if (values.length >=1) {
      val = values[0];
    }
  }
}
